backgroundchecker.h
#ifndef KSPELL_BACKGROUNDCHECKER_H
#define KSPELL_BACKGROUNDCHECKER_H
#include "broker.h"
class QCustomEvent;
namespace KSpell2
{
class Filter;
class KDE_EXPORT BackgroundChecker : public QObject
{
Q_OBJECT
public:
BackgroundChecker( const Broker::Ptr& broker, QObject *parent =0,
const char *name =0 );
~BackgroundChecker();
void checkText( const QString& );
Filter *filter() const;
Broker *broker() const;
void changeLanguage( const QString& lang );
bool checkWord( const QString& word );
QStringList suggest( const QString& ) const;
bool addWord( const QString& word );
public slots:
virtual void setFilter( KSpell2::Filter *filter );
virtual void start();
virtual void stop();
virtual void continueChecking();
signals:
void misspelling( const QString& word, int start );
void done();
protected:
virtual QString getMoreText();
virtual void finishedCurrentFeed();
protected slots:
void slotEngineDone();
protected:
//void customEvent( QCustomEvent *event );
private:
class Private;
Private *d;
};
}
#endif
KSpell2::Filter
Filter is used to split text into words which will be spell checked.
Definition: filter.h:65
KSpell2::BackgroundChecker
BackgroundChecker is used to perform spell checking without blocking the application.
Definition: backgroundchecker.h:49
KSpell2::Broker
Class used to deal with dictionaries.
Definition: broker.h:48

KDE Home | KDE Accessibility Home | Description of Access Keys